%define upstream_name    App-cpanminus
%define upstream_version 1.5019

Name:       cpanminus
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get, unpack, build and install modules from CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Install) >= 1.460.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildArch:  noarch

Obsoletes:  perl-App-cpanminus
Provides:   perl-App-cpanminus

%description
cpanminus is a script to get, unpack, build and install modules from CPAN.

Why? It's dependency free, requires zero configuration, and stands alone --
but it's maintainable and extensible with plugins and friendly to shell
scripting. When running, it requires only 10MB of RAM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/cpanm
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.501.900-2.mga3
+ Revision: 348239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.501.900-1.mga3
+ Revision: 341916
- update to 1.5019

* Wed Sep 26 2012 jquelin <jquelin> 1.501.800-1.mga3
+ Revision: 297964
- update to 1.5018

* Wed Aug 29 2012 kharec <kharec> 1.501.700-1.mga3
+ Revision: 285092
- update to 1.5017

* Wed Jul 04 2012 jquelin <jquelin> 1.501.500-1.mga3
+ Revision: 267265
- update to 1.5015

* Mon Jun 18 2012 kharec <kharec> 1.501.400-1.mga3
+ Revision: 261486
- update to 1.5014

* Tue Jun 05 2012 jquelin <jquelin> 1.501.300-1.mga3
+ Revision: 254568
- update to 1.5013

* Wed Jan 04 2012 jquelin <jquelin> 1.500.700-1.mga2
+ Revision: 190270
- update to 1.5007

* Thu Dec 08 2011 kharec <kharec> 1.500.600-1.mga2
+ Revision: 179076
- update to 1.5006

* Mon Nov 14 2011 jquelin <jquelin> 1.500.400-1.mga2
+ Revision: 167625
- update to 1.5004

* Thu Nov 03 2011 jquelin <jquelin> 1.500.300-1.mga2
+ Revision: 162167
- update to 1.5003

* Fri Oct 14 2011 jquelin <jquelin> 1.500.100-1.mga2
+ Revision: 154740
- update to 1.5001

* Thu Oct 13 2011 jquelin <jquelin> 1.500.0-1.mga2
+ Revision: 154261
- update to 1.5000

* Fri Jun 17 2011 jquelin <jquelin> 1.400.800-1.mga2
+ Revision: 109123
- update to 1.4008

* Wed Jun 15 2011 jquelin <jquelin> 1.400.700-1.mga2
+ Revision: 106460
- update to 1.4007

* Tue Apr 05 2011 jquelin <jquelin> 1.400.400-2.mga1
+ Revision: 80716
- adding provides: to fully remove perl-app-cpanminus

* Sun Mar 13 2011 jquelin <jquelin> 1.400.400-1.mga1
+ Revision: 70535
- update to 1.4004

* Thu Mar 10 2011 jquelin <jquelin> 1.400.300-1.mga1
+ Revision: 67656
- update to 1.4003

* Mon Feb 21 2011 jquelin <jquelin> 1.200.100-1.mga1
+ Revision: 55461
- update to 1.2001

* Thu Feb 10 2011 jquelin <jquelin> 1.100.800-1.mga1
+ Revision: 49779
- update to 1.1008
- imported package cpanminus

